Make WordPress Core

Changeset 51889


Ignore:
Timestamp:
10/05/2021 05:23:37 PM (3 years ago)
Author:
desrosj
Message:

Build/Test Tools: Change the patch version used for testing the 5.6 branch of PHP.

This unpins the version of PHP 5.6.20 used when testing the 5.6 branch of PHP.

Using 5.6.20 was an intentional decision in [49162], as that patch version is the oldest version of PHP 5.6 still supported by WordPress. However, as of September 30, 2021, the 5.6.20 image contains a version of OpenSSL with an expired certificate, sometimes resulting in an expired trust chain.

Props Clorith, hellofromTonya, SergeyBiryukov, desrosj.
Fixes #54223.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/5.8/.github/workflows/phpunit-tests.yml

    r51838 r51889  
    6868      fail-fast: false
    6969      matrix:
    70         php: [ '5.6.20', '7.0', '7.1', '7.2', '7.3', '7.4', '8.0' ]
     70        php: [ '5.6', '7.0', '7.1', '7.2', '7.3', '7.4', '8.0' ]
    7171        os: [ ubuntu-latest ]
    7272        memcached: [ false ]
     
    7575        include:
    7676          # Additional "slow" jobs for PHP 5.6.
    77           - php: '5.6.20'
     77          - php: '5.6'
    7878            os: ubuntu-latest
    7979            memcached: false
    8080            multisite: false
    8181            split_slow: true
    82           - php: '5.6.20'
     82          - php: '5.6'
    8383            os: ubuntu-latest
    8484            memcached: false
     
    156156            docker-compose run --rm php composer update
    157157            git checkout -- composer.lock
    158           elif [[ ${{ env.LOCAL_PHP }} == '5.6.20-fpm' || ${{ env.LOCAL_PHP }} == '7.0-fpm' ]]; then
     158          elif [[ ${{ env.LOCAL_PHP }} == '5.6-fpm' || ${{ env.LOCAL_PHP }} == '7.0-fpm' ]]; then
    159159            docker-compose run --rm php composer require --dev phpunit/phpunit:"^5.7" --update-with-dependencies
    160160            git checkout -- composer.lock composer.json
Note: See TracChangeset for help on using the changeset viewer.